7 1 2 2
11 -4
-2  1

first line: n (# responses), d (# c values), p (# y values), M (# solutions)

second line: y = yTbot

rest: R = HRbot, d-by-p

% python3 -i solve.py
n = 7 , X = [5, 1, 1]
nm = 10 , m = 1.4285714285714286 , vnn = 0 , v = 0.0 , s = 0.0
[4, 3, 0]
[5, 1, 1]
search_count = 7 , solution_count = 2
>>> cTlist
[[4], [5]]
>>> yTbot
Matrix([[11, -4]])
>>> HRbot
Matrix([[-2, 1]])
>>> avg(cTlist)
[4.5]
>>> avg(xTlist)
[4.5, 2.0, 0.5]
>>> 
